Bug 141514 - GNOME Preferences and System Settings menus have extraneous menus in them
GNOME Preferences and System Settings menus have extraneous menus in them
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: redhat-menus (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-01 14:03 EST by Aaron Gaudio
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 10:56:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix preferences & system settings (1.37 KB, patch)
2004-12-12 11:45 EST, Aaron Gaudio
no flags Details | Diff

  None (edit)
Description Aaron Gaudio 2004-12-01 14:03:34 EST
Description of problem:
The Preferences and System Settings menus have extraneous icon menus
under them, such as "Applications", "Games", "Graphics", "Internet", etc. 

Version-Release number of selected component (if applicable):
3.7.1-1.fc3

How reproducible:
Always

Steps to Reproduce:
1. Upgrade to latest redhat-menus package (actually this has been a
problem for a while).
  
Actual results:
The offending menus appear under the Preferences and System Settings
menus in the GNOME panel menu.

Expected results:
The offending menus only appear at the top-level of the GNOME panel
menu, not under Preferences or System Settings.

Additional info:
This appears to be caused by the following markup in
/etc/xdg/menus/preferences.menu (and system-settings.menu):

  <!-- Scan legacy dirs first, as later items take priority -->
  <LegacyDir>/usr/share/gnome/apps</LegacyDir>
  <LegacyDir>/etc/X11/applnk</LegacyDir>

...

  <DefaultAppDirs/>
  <DefaultDirectoryDirs/>

After commenting out these entries, the problem appears to go away on
next panel launch.
Comment 1 Aaron Gaudio 2004-12-12 11:45:38 EST
Created attachment 108406 [details]
Patch to fix preferences & system settings

(use 'patch -p0 < extra_menus.diff' to apply)
Comment 2 Aaron Gaudio 2005-03-22 09:48:11 EST
I haven't heard anything on this one, but it seems like it'd be kinda major (or
is it just a bad upgrade from earlier versions?)
Comment 3 Matthew Miller 2006-07-10 19:05:43 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-11-05 10:56:54 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.